#!/usr/bin/env python
# encoding: utf-8

name = "R_Roaming/groups"
shortDesc = u""
longDesc = u"""
When a homolytic fission (reverse of radical recombination)
is R1-R2-R3-H4 <=> R1. + .R2-R3-H4
with R1 labeled *1 and R2 labeled *2
we want the alternative roaming reaction:
R1-R2-R3-H4  <=> R1-H4 + R2=R3
We allow the R2-R3 bond to begin as a double and end as a triple, i.e.
R1-R2=R3-H4  <=> R1-H4 + R2#R3
"""

template(reactants=["combined"], products=["singlebondfragment", "doublebondfragment"], ownReverse=False)

reverse = "Reverse_of_roaming"

recipe(actions=[
    ['BREAK_BOND', '*3', 1, '*4'],
    ['FORM_BOND', '*1', 1, '*4'],
    ['BREAK_BOND', '*1', 1, '*2'],
    ['CHANGE_BOND', '*2', +1, '*3'],
])

entry(
    index = 1,
    label = "combined",
    group =
"""
1 *1 R ux {2,S}
2 *2 R ux {1,S}, {3,[S,D]}
3 *3 R ux {2,[S,D]}, {4,S}
4 *4 H u0 {3,S}
""",
    kinetics = None,
)

tree(
"""
L1: combined
"""
)
