#!/usr/bin/env python
# encoding: utf-8

name = "R_Roaming_alpha/groups"
shortDesc = u""
longDesc = u"""
When a homolytic fission (reverse of radical recombination)
is R1-R2(-H4)-R3 <=> R1. + .R2(-H4)-R3
with R1 labeled *1 and R2 labeled *2
we want the alternative roaming reaction
in which the leaving R1. steals the H4 from .R2
(or the leaving .R2 gives its H to .R1 on the way out)
R1-R2(-H4)-R3  <=> R1-H4 + ..R2=R3
We allow the R2-R3 bond to begin as a double and end as a triple, i.e.
R1-R2(-H4)=R3  <=> R1-H4 + ..R2#R3

This is primarily (perhaps exclusively) for cases where
the parent is an aldehyde i.e.
R1-R2(-H4)=R3 is RC(H)=O  so
.R2(-H4)=R3 is .C(H)=O  and the product
R2#R3 is CO, carbon monoxide
(which magically switches from biradical ..[C]#[O] to [C-]#[O+])
"""

template(reactants=["combined"], products=["singlebondfragment", "doublebondfragment"], ownReverse=False)

reverse = "Reverse_of_roaming"

recipe(actions=[
    ['BREAK_BOND', '*2', 1, '*4'],
    ['FORM_BOND', '*1', 1, '*4'],
    ['BREAK_BOND', '*1', 1, '*2'],
    ['CHANGE_BOND', '*2', +1, '*3'],
    ['GAIN_PAIR', '*2', '1'],
    ['LOSE_PAIR', '*3', '1'],
])

entry(
    index = 1,
    label = "combined",
    group =
"""
1 *1 R ux {2,S}
2 *2 R ux {1,S}, {3,[S,D]}, {4,S}
3 *3 R ux p[1,2] {2,[S,D]}
4 *4 H u0 {2,S}
""",
    kinetics = None,
)

tree(
"""
L1: combined
"""
)
